use envconfig::Envconfig;

#[derive(Envconfig)]
pub struct Config {
    #[envconfig(from = "PLAYER_BUS")]
    pub player_bus: Option<String>,

    #[envconfig(from = "USERNAME")]
    pub username: String,

    #[envconfig(from = "PASSWORD")]
    pub password: String,

    #[envconfig(from = "API_KEY")]
    pub api_key: String,

    #[envconfig(from = "API_SECRET")]
    pub api_secret: String
}